# Uses of Enum Class
org.apache.cxf.annotations.SchemaValidation.SchemaValidationType

Packages that use SchemaValidation.SchemaValidationType
Package
Description
org.apache.cxf.annotations
org.apache.cxf.feature.validation
org.apache.cxf.helpers

- ## Uses of SchemaValidation.SchemaValidationType in org.apache.cxf.annotations

  Methods in org.apache.cxf.annotations that return SchemaValidation.SchemaValidationType
  Modifier and Type
  Method
  Description
  `static SchemaValidation.SchemaValidationType`
  SchemaValidation.SchemaValidationType.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SchemaValidation.SchemaValidationType[]`
  SchemaValidation.SchemaValidationType.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

- ## Uses of SchemaValidation.SchemaValidationType in org.apache.cxf.feature.validation

  Methods in org.apache.cxf.feature.validation that return SchemaValidation.SchemaValidationType
  Modifier and Type
  Method
  Description
  `SchemaValidation.SchemaValidationType`
  DefaultSchemaValidationTypeProvider.`getSchemaValidationType(OperationInfo info)`
  `SchemaValidation.SchemaValidationType`
  SchemaValidationTypeProvider.`getSchemaValidationType(OperationInfo info)`
  Constructor parameters in org.apache.cxf.feature.validation with type arguments of type SchemaValidation.SchemaValidationType
  Modifier
  Constructor
  Description
  ``
  `DefaultSchemaValidationTypeProvider(Map<String,SchemaValidation.SchemaValidationType> operationMap)`

- ## Uses of SchemaValidation.SchemaValidationType in org.apache.cxf.helpers

  Methods in org.apache.cxf.helpers that return SchemaValidation.SchemaValidationType
  Modifier and Type
  Method
  Description
  `static SchemaValidation.SchemaValidationType`
  ServiceUtils.`getSchemaValidationType(Object obj)`
  `static SchemaValidation.SchemaValidationType`
  ServiceUtils.`getSchemaValidationType(Message message)`
  A convenience method to check for schema validation config in the message context, and then in the service model.
  Methods in org.apache.cxf.helpers with parameters of type SchemaValidation.SchemaValidationType
  Modifier and Type
  Method
  Description
  `static boolean`
  ServiceUtils.`isSchemaValidationEnabled(SchemaValidation.SchemaValidationType type, Message message)`
  A short cut method to be able to test for if Schema Validation should be enabled for IN or OUT without having to check BOTH and IN or OUT.